<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "school.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];



$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `city` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `pin` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `station` = '$searchTerm'";
    }
//    else if ($_REQUEST["sfield"] == "5") {
//        $cond = "AND `mobile` = '$searchTerm'";
//    } 
////    } else if ($_REQUEST["sfield"] == "6") {
//        $cond = "AND `centcode` = '$searchTerm'";
//    } else if ($_REQUEST["sfield"] == "7") {
//        $smedium = mysqli_query($conn, "SELECT `code`,`name` FROM `medium` WHERE `name`  = '$searchTerm'") or die (mysqli_error($conn));
//        $gmedium = mysqli_fetch_array($smedium);
//        $mediumcode = $gmedium[code];
//        $cond = "AND `medmcode` = '$mediumcode'";
//    } else if ($_REQUEST["sfield"] == "8") {
////        
//        $sstdepo = mysqli_query($conn, "SELECT `code`,`name` FROM `stdepot` WHERE `name`  =  '$searchTerm'") or die (mysqli_error($conn));
//        $gstdepo = mysqli_fetch_array($sstdepo);
//        $stdepocode = $gstdepo[code];
//        $cond = "AND `stcode` = '$stdepocode'";
//    } else if ($_REQUEST["sfield"] == "9") {
//       
//        $scour = mysqli_query($conn, "SELECT `code`,`name` FROM `courier` WHERE `name` = '$searchTerm'") or die (mysqli_error($conn));
//        $gscour= mysqli_fetch_array($scour);
//        $ccode = $gscour[code];
//        $cond = "AND `courcode` = '$ccode'";
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `city` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `pin` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `station` LIKE '%$searchTerm%'";
    }
}


$sortcond = "ORDER BY `name`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `city`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `pin`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `station`";
}


$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}
//browse($cond);
//    print "SELECT * FROM `accmast` WHERE  accode != '' and grpcode = '010' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$query = "SELECT * FROM `accmast` WHERE  accode != '' and grpcode = '010' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {


    $rows[] = [ 'success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'name' => $r[name],
        'city' => $r[city],
        'pin' => $r[pin],
        'station' => $r[station],
//           
        'action' => "$file?mode=edit&accode=$r[accode]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
